#!/bin/bash
#  Utilise uudecode sur tous les fichiers codés avec uuencode
#+ pour le répertoire actuel.

lignes=35        # Permet 35 lignes pour l'entête (très généreux).

for Fichier in *   # Teste tous les fichiers dans $PWD.
do
  recherche1=`head -n $lignes $Fichier | grep begin | wc -w`
  recherche2=`tail -n $lignes $Fichier | grep end | wc -w`
  #  Les fichiers uuencodés ont un "begin" près du début et un "end" près de
  #+ la fin.
  if [ "$recherche1" -gt 0 ]
  then
    if [ "$recherche2" -gt 0 ]
    then
      echo "uudecoding - $Fichier -"
      uudecode $Fichier
    fi  
  fi
done  

#  Notez que lancer ce script sur lui-même le trompe et croie qu'il est un
#+ fichier uuencodé, parce qu'il contient les mots "begin" et "end".

# Exercice:
#  Modifier ce script pour vérifier si le fichier contient un en-tête de news
#+ et pour passer au fichier suivant s'il n'en trouve pas.
exit 0
